astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Sky2Pix_BonneEqualArea

# Sky2Pix_BonneEqualArea

class `astropy.modeling.projections.``Sky2Pix_BonneEqualArea`

  Bases: `astropy.modeling.projections.Sky2PixProjection`, `astropy.modeling.projections.PseudoConic`

  Bonne’s equal area pseudoconic projection - sky to pixel.

  Corresponds to the `BON` projection in FITS WCS.

  x &= R_\theta \sin A_\phi \\ y &= -R_\theta \cos A_\phi + Y_0

  where:

  A_\phi &= \frac{180^\circ}{\pi R_\theta} \phi \cos \theta \\ R_\theta &= Y_0 - \theta \\ Y_0 &= \frac{180^\circ}{\pi} \cot \theta_1 + \theta_1

  Parameters:

  theta1 : float

  > Bonne conformal latitude, in degrees.

  Attributes Summary

  `param_names` |
  `theta1` |

  Methods Summary

  `evaluate`(phi, theta, theta1) |

  Attributes Documentation

  `param_names` = ('theta1',)
  `theta1`

  Methods Documentation

  classmethod `evaluate`(phi, theta, theta1)